/**
 * 
 * @author David Chávez
 */


function convertString(string) {
    var modifiedString = "";

    var s = n => String.fromCodePoint(n);

    var t = [
      // Bold (sans)
      [
        6, // A-Z
        120205, // a-z
        120764, // 0-9
      ],
    ];

    (
        function(){
            var i, c, v, p;
            for (i of t) {
                var r = '';
                for (c of v = [...string]) {
                    p = c.codePointAt();
                    if (i[3] && i[3][c]) r += i[3][c];
                    else if (p >= 0x30 && p <= 0x39 && i[2]) r += s(p + i[2]);
                    else if (p >= 0x41 && p <= 0x5A && i[0]) r += s(p + i[1] + i[0]);
                    else if (p >= 0x61 && p <= 0x7a && i[1]) r += s(p + i[1]);
                    else if (p >= 0x21 && p <= 0x7e && i[4]) r += i[4](p);
                    else if (i[5]) r += i[5](p);
                    else r += c;
                }
                modifiedString += r;
            }
        }
    )();

    return modifiedString;
}
define({
    action(selection) {
        popclip.pasteText(convertString(selection.text));
    }
});
